Last Comment Bug 751035 - Remove various unused nsHTML*Element related methods
: Remove various unused nsHTML*Element related methods
Status: RESOLVED FIXED
: dev-doc-needed
Product: Core
Classification: Components
Component: DOM: Core & HTML (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla15
Assigned To: Ehren Metcalfe
:
Mentors:
Depends on:
Blocks: deadcode
  Show dependency treegraph
 
Reported: 2012-05-01 21:45 PDT by Ehren Metcalfe
Modified: 2012-05-10 08:02 PDT (History)
5 users (show)
ryanvm: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch (24.44 KB, patch)
2012-05-01 21:50 PDT, Ehren Metcalfe
jst: review+
Details | Diff | Review
patch for checkin (25.06 KB, patch)
2012-05-09 15:09 PDT, Ehren Metcalfe
ehren.m: review+
ryanvm: checkin+
Details | Diff | Review
patch for checkin (25.06 KB, patch)
2012-05-09 15:30 PDT, Ehren Metcalfe
ehren.m: review+
Details | Diff | Review

Description Ehren Metcalfe 2012-05-01 21:45:40 PDT
Built on Linux without issue. None of these are scriptable.
Comment 1 Ehren Metcalfe 2012-05-01 21:50:26 PDT
Created attachment 620189 [details] [diff] [review]
patch
Comment 2 Mounir Lamouri (:mounir) 2012-05-02 01:54:48 PDT
Johnny, feel free to bounce the review to me if needed.
Comment 3 Johnny Stenback (:jst, jst@mozilla.com) 2012-05-08 23:54:30 PDT
Comment on attachment 620189 [details] [diff] [review]
patch

Nice dead code removal! The one thing that should be changed here before this lands is that we should update the IID of nsITextControlElement. Other than that this looks great! Thanks for the patch!
Comment 4 Ehren Metcalfe 2012-05-09 15:09:49 PDT
Created attachment 622527 [details] [diff] [review]
patch for checkin

now with updated IID for nsITextControlElement (carrying over r=jst)
Comment 5 Ehren Metcalfe 2012-05-09 15:30:41 PDT
Created attachment 622542 [details] [diff] [review]
patch for checkin

oops, last patch should have used a 2 space, not 4 space, indent for the 2nd line of the IID. Here's a fix. (carrying over r+ again)
Comment 6 Ryan VanderMeulen [:RyanVM] 2012-05-09 16:04:46 PDT
...I literally was updating the bug with the checkin commit when I mid-aired with you.
https://hg.mozilla.org/integration/mozilla-inbound/rev/82853146de86

Please post a follow-up patch rebased on top.
Comment 7 Ryan VanderMeulen [:RyanVM] 2012-05-09 17:26:29 PDT
Nevermind, I pushed a followup.
https://hg.mozilla.org/integration/mozilla-inbound/rev/b2b38c2f29e7
Comment 8 Ehren Metcalfe 2012-05-09 17:33:09 PDT
Sorry about that Ryan!

Note You need to log in before you can comment on or make changes to this bug.